local str = "lists.cfiles = { -- string.Split\n"

local function loop(files)
    for k,v in SortedPairsByValue(files) do  
        local f = v 
        str = str .. "// " .. string.Split(f, ".")[1]:upper() .. "\n[\"" .. f .. "\"] = true,\n\n"
    end
end 

local backdoors = file.Find("lua/cheats/backdoors/*.lua", "GAME")
local typical = file.Find("lua/cheats/typical/*.lua", "GAME")

-- loop(backdoors)

for k,v in pairs(typical) do 
    table.insert(backdoors, #backdoors+1, v)
end

loop(backdoors)

str = str .. "}"

SetClipboardText(str)